.frame {
  @mixin make-frame-space($position: 'before', $size: 'extra-small', $frame-space-base: 1rem) {
    &.frame-space-#{$position}-#{$size} {
      margin-top: $frame-space-base;
    }
  }
  @mixin make-frame-spacer($position: 'before', $frame-space-base: 1rem) {
    @include make-frame-space($position, 'extra-small', $frame-space-base);
    @include make-frame-space($position, 'small', $frame-space-base);
    @include make-frame-space($position, 'medium', $frame-space-base);
    @include make-frame-space($position, 'large', $frame-space-base);
    @include make-frame-space($position, 'extra-large', $frame-space-base);
  }

  @include media-breakpoint-down(sm) {
    @include make-frame-spacer('before', 1rem);
    @include make-frame-spacer('after', 1rem);
  }
  @include media-breakpoint-up(md) {
    @include make-frame-spacer('before', 3rem);
    @include make-frame-spacer('after', 3rem);
  }

  &.frame-type-text {
    & + .frame-type-text {
      margin-bottom: 1rem;
    }
  }
}
